Is there a problem with the coding assignment?

My lab id: “dymgvwns”

data_generator test gives this error

AssertionError Traceback (most recent call last)
~/work/w2_unittest.py in test_data_generator(target)
265 test_case[“input”][“batch_size”],
→ 266 test_case[“input”][“max_length”],
267 )

AssertionError:

During handling of the above exception, another exception occurred:

TypeError Traceback (most recent call last)
in
1 # Test your function
----> 2 w2_unittest.test_data_generator(data_generator)

~/work/w2_unittest.py in test_data_generator(target)
275 test_case[“input”][“max_length”],
276 ),
→ 277 “got”: elem_batch.shape,
278 }
279 )

TypeError: ‘list’ object is not callable

----next tried to continue and I got this on the training section:

LayerError: Exception passing through layer CrossEntropyLoss (in init):
layer created in file […]/, line 31
layer input shapes: (ShapeDtype{shape:(32, 64, 256), dtype:float32}, ShapeDtype{shape:(32, 64), dtype:int32}, ShapeDtype{shape:(32, 63), dtype:int32})

Hi yahya1,

I presume this has been resolved. If not, please open a new thread.